Get inventory upload status for specific file - Fabric
Get inventory upload status for specific file
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/inventory/upload/log \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/upload/log"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/upload/log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200
- 400
- 404
- 500
Example Responses
Successful Response:
{
"id": "626faf4f352b50680cf2284e",
"keyId": "1651486519061_Inventory",
"status": "FINISHED",
"totalRows": 21,
"totalRowsUploaded": 21,
"totalRowsErrors": 0
}
Invalid Request:
{
"message": "Invalid request payload or parameter"
}
Resource Not Found:
{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
Internal Error:
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
Authorization
- Required:
Bearer <token>
Headers
- x-site-context: required, a JSON object containing source information. Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Query Parameters
- keyId: required, Key ID of the uploaded file.